### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.util

# Class ISUtility

java.lang.Object
com.sas.services.information.util.ISUtility

@SASScope("ALL") @BinaryCompatibilityOnly public class ISUtility extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getLocalizedTypeName(String type)`
  Get a user friendly display string for a type from SmartTypes in the default locale.
  `static String`
  `getLocalizedTypeName(String type, Locale locale)`
  Get a user friendly display string for a type from SmartTypes in the specified locale.
  `static PathUrl`
  `getPathFromEntityKey(UserContextInterface user, String iSEntityKey)`
  Get a PathUrl from an Information Service entity key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getPathFromEntityKey

    public static PathUrl getPathFromEntityKey(UserContextInterface user, String iSEntityKey) throws ServiceException, RemoteException
    Get a PathUrl from an Information Service entity key. The key may come from a MetadataInterface.getEntityKey() method call, or a BrowseMetadataInterface.getISEntityKey() call. A single trip to the repository is performed to get the necessary information to find the path information to build the PathUrl object.
    Parameters:
      `user` - The UserContext to use to look in the repository for the path information.
      `iSEntityKey` - The Information Service entity key representing the object to calculate the path for.
    Returns:
      The PathUrl object for the metadata object, or null if no valid path can be determined.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - If a remote object failure occurs with the repository.

  - ### getLocalizedTypeName

    public static String getLocalizedTypeName(String type)
    Get a user friendly display string for a type from SmartTypes in the default locale.
    Parameters:
      `type` - A type string from SmartTypes.
    Returns:
      The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

  - ### getLocalizedTypeName

    public static String getLocalizedTypeName(String type, Locale locale)
    Get a user friendly display string for a type from SmartTypes in the specified locale.
    Parameters:
      `type` - A type string from SmartTypes.
    Returns:
      The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.